class RecipesController < ApplicationController
  before_filter :find_recipe, only: [:edit, :update, :show]

  def new
    @recipe = Recipe.new
  end

  def create
    #Recipe.create(recipe_params)
    @recipe = Recipe.new
    @recipe.name = params[:recipe][:name]
    @recipe.user = @user
    @recipe.description = params[:recipe][:description]
    if @recipe.save
      unless params[:recipe][:image].nil?
        Image.saveFile(params[:recipe][:image], @recipe)
      end
    end
    redirect_to recipe_path(@recipe)
  end

  def edit
  end

  def update
    #Recipe.update(recipe_params)
    @recipe.name = params[:recipe][:name]
    @recipe.description = params[:recipe][:description]
    @recipe.user = @user
    @recipe.save
    unless params[:recipe][:image].nil?
      Image.saveFile(params[:recipe][:image], @recipe)
    end
    redirect_to recipe_path(@recipe)
  end

  def show
  end

  def download
    image = Image.find params[:id]
    send_file image.path, type: image.mime, disposition: :inline
  end

  def index
    @recipes = Recipe.getPage(params[:page], @user)
  end

  private 
    def find_recipe
      @recipe = Recipe.find params[:id]
    end

    def recipe_params
      params.require(:recipe).permit([:name, :description, :image])
    end
end
